// DormantNodeWindow.cpp
// e.moon 2jun99

#include "DormantNodeWindow.h"
#include "DormantNodeView.h"

#include <Application.h>

__USE_CORTEX_NAMESPACE

// -------------------------------------------------------- //
// constants
// -------------------------------------------------------- //

const BRect DormantNodeWindow::s_initFrame(600,600,900,750);

// -------------------------------------------------------- //
// ctor/dtor
// -------------------------------------------------------- //

DormantNodeWindow::~DormantNodeWindow() {}
DormantNodeWindow::DormantNodeWindow() :
	BWindow(s_initFrame, "Media Add-Ons",
		B_DOCUMENT_WINDOW_LOOK, B_FLOATING_APP_WINDOW_FEEL,
		B_WILL_ACCEPT_FIRST_CLICK|B_AVOID_FOCUS|B_NOT_CLOSABLE|B_NOT_ZOOMABLE) {

	BRect b = Bounds();
	m_pListView = new DormantNodeView(
		b, "dormantNodeView");
	AddChild(m_pListView);
	Show();
}

// -------------------------------------------------------- //
// BHandler impl
// -------------------------------------------------------- //

void DormantNodeWindow::MessageReceived(BMessage* pMsg) {
	switch(pMsg->what) {
		default:
			_inherited::MessageReceived(pMsg);
	}
}
	
// -------------------------------------------------------- //
// BWindow impl
// -------------------------------------------------------- //

bool DormantNodeWindow::QuitRequested() {
//	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}


// END -- DormantNodeWindow.cpp --